PROGRAM_NAME='Vertige_Definitions'

(***********************************************************)
(* REV HISTORY:     Revision   3.00                        *)
(***********************************************************)

(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
#if_not_defined Vertige_Devices
#define Vertige_Devices

DEFINE_DEVICE

Panel_Port1		=	Panel_Num_Device:1:0
Panel_Port2		=	Panel_Num_Device:2:0
Panel_Port3		=	Panel_Num_Device:3:0
Panel_Port4		=	Panel_Num_Device:4:0
Panel_Port5		=	Panel_Num_Device:5:0

Vertige_Proc_COM			=	Virtual_Vertige_Num_Device:1:0
Vertige_General_COM			=	Virtual_Vertige_Num_Device:2:0
Vertige_Workspace_COM			=	Virtual_Vertige_Num_Device:3:0
Vertige_Sequence_COM			=	Virtual_Vertige_Num_Device:4:0
Vertige_Macros_COM			=	Virtual_Vertige_Num_Device:5:0
Vertige_Presets_Transitions_COM		=	Virtual_Vertige_Num_Device:6:0

Vertige_General_Panel			=	Virtual_Vertige_Panel:1:0
Vertige_Workspace_Panel			=	Virtual_Vertige_Panel:2:0
Vertige_Sequence_Panel			=	Virtual_Vertige_Panel:3:0
Vertige_Macros_Panel			=	Virtual_Vertige_Panel:4:0
Vertige_Presets_Transitions_Panel	=	Virtual_Vertige_Panel:5:0

DEFINE_COMBINE
(Vertige_General_Panel,Panel_Port1)
(Vertige_Workspace_Panel,Panel_Port2)
(Vertige_Sequence_Panel,Panel_Port3)
(Vertige_Macros_Panel,Panel_Port4)
(Vertige_Presets_Transitions_Panel,Panel_Port5)

#end_If

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
#if_not_defined Vertige_Variables
#define Vertige_Variables

DEFINE_VARIABLE

Integer Vertige_Modules_Usage [5]

DEV Vertige_Modules_Array[] =  {
				Vertige_General_COM,
				Vertige_Workspace_COM,
				Vertige_Sequence_COM,
				Vertige_Macros_COM,
				Vertige_Presets_Transitions_COM
				}

DEV Vertige_Panels_Array[] =  {
				Vertige_General_Panel,
				Vertige_Workspace_Panel,
				Vertige_Sequence_Panel,
				Vertige_Macros_Panel,
				Vertige_Presets_Transitions_Panel
				}

#end_If

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

SET_VIRTUAL_CHANNEL_COUNT (Vertige_General_Panel,300)
SET_VIRTUAL_LEVEL_COUNT (Vertige_General_Panel,50)
SET_VIRTUAL_CHANNEL_COUNT (Vertige_Workspace_Panel,300)
SET_VIRTUAL_LEVEL_COUNT (Vertige_Workspace_Panel,50)
SET_VIRTUAL_CHANNEL_COUNT (Vertige_Sequence_Panel,300)
SET_VIRTUAL_LEVEL_COUNT (Vertige_Sequence_Panel,50)
SET_VIRTUAL_CHANNEL_COUNT (Vertige_Macros_Panel,300)
SET_VIRTUAL_LEVEL_COUNT (Vertige_Macros_Panel,50)
SET_VIRTUAL_CHANNEL_COUNT (Vertige_Presets_Transitions_Panel,700)
SET_VIRTUAL_LEVEL_COUNT (Vertige_Presets_Transitions_Panel,50)

Vertige_Modules_Usage[1]=1
Vertige_Modules_Usage[2]=1
Vertige_Modules_Usage[3]=Vertige_Sequence_Usage
Vertige_Modules_Usage[4]=Vertige_Macros_Usage
Vertige_Modules_Usage[5]=Vertige_Presets_Transitions_Usage
